Scala Compiler2.12.13 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package reporters
  Definition Classes
    nsc
- ConsoleReporter
- FilteringReporter
- ForwardingReporter
- MakeFilteringForwardingReporter
- NoReporter
- PrintReporter
- Reporter
- StoreReporter

t

scala.tools.nsc.reporters

# PrintReporter 

###

#### trait PrintReporter extends reflect.internal.Reporter

Facility for outputting messages, with optional user intervention.

Source
  PrintReporter.scala

Linear Supertypes
reflect.internal.Reporter, AnyRef, Any
Known Subclasses
ScalaDocReporter, ReplReporter, ConsoleReporter
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PrintReporter
2. Reporter
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  final type Severity = reflect.internal.Reporter.Severity
   Definition Classes
     Reporter

### Abstract Value Members

1.  abstract def echoWriter: PrintWriter
2.  abstract def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit
   Attributes
     protected
   Definition Classes
     Reporter
3.  abstract def reader: BufferedReader
4.  abstract def settings: Settings
5.  abstract def writer: PrintWriter

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from PrintReporter to any2stringadd[PrintReporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (PrintReporter, B)
   Implicit
     This member is added by an implicit conversion from PrintReporter to ArrowAssoc[PrintReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def ERROR: Severity
   Definition Classes
     Reporter
   Annotations
     @uncheckedStable()
7.  final def INFO: Severity
   Definition Classes
     Reporter
   Annotations
     @uncheckedStable()
8.  final def WARNING: Severity
   Definition Classes
     Reporter
   Annotations
     @uncheckedStable()
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clabel(severity: Severity): String
    Attributes
      protected
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
12.  def close(): Unit
13.  def display(pos: Position, msg: String, severity: Severity): Unit

    Format a message and emit it.

    Format a message and emit it.

    Attributes
      protected
14.  def displayPrompt(): Unit
15.  final def echo(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
16.  final def echo(msg: String): Unit
    Definition Classes
      Reporter
17.  def ensuring(cond: (PrintReporter) ⇒ Boolean, msg: ⇒ Any): PrintReporter
    Implicit
      This member is added by an implicit conversion from PrintReporter to Ensuring[PrintReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: (PrintReporter) ⇒ Boolean): PrintReporter
    Implicit
      This member is added by an implicit conversion from PrintReporter to Ensuring[PrintReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: Boolean, msg: ⇒ Any): PrintReporter
    Implicit
      This member is added by an implicit conversion from PrintReporter to Ensuring[PrintReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  def ensuring(cond: Boolean): PrintReporter
    Implicit
      This member is added by an implicit conversion from PrintReporter to Ensuring[PrintReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
23.  def error(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
24.  def errorCount: Int
    Definition Classes
      Reporter
25.  def filter(pos: Position, msg: String, severity: Severity): Int
    Definition Classes
      Reporter
26.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
27.  def finish(): Unit
    Definition Classes
      Reporter
28.  def flush(): Unit
    Definition Classes
      PrintReporter → Reporter
29.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from PrintReporter to StringFormat[PrintReporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
30.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
31.  def hasErrors: Boolean
    Definition Classes
      Reporter
32.  def hasWarnings: Boolean
    Definition Classes
      Reporter
33.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
34.  def increment(severity: Severity): Unit
    Definition Classes
      Reporter
35.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
36.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
37.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
38.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
39.  def printMessage(msg: String): Unit

    Prints the warning or error message.

    Prints the warning or error message.

    Attributes
      protected
40.  def rerunWithDetails(setting: Setting, name: String): String
    Definition Classes
      Reporter
41.  def reset(): Unit
    Definition Classes
      Reporter
42.  val shortname: Boolean

    Whether a short file name should be displayed before errors

43.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
44.  def toString(): String
    Definition Classes
      AnyRef → Any
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
46.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
47.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
48.  def warning(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
49.  def warningCount: Int
    Definition Classes
      Reporter
50.  def →[B](y: B): (PrintReporter, B)
    Implicit
      This member is added by an implicit conversion from PrintReporter to ArrowAssoc[PrintReporter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from reflect.internal.Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from PrintReporter to any2stringadd[PrintReporter]

### Inherited by implicit conversion StringFormat from PrintReporter to StringFormat[PrintReporter]

### Inherited by implicit conversion Ensuring from PrintReporter to Ensuring[PrintReporter]

### Inherited by implicit conversion ArrowAssoc from PrintReporter to ArrowAssoc[PrintReporter]

### Ungrouped